Bug 191398 - Port last_transition_time from CS3 to CS4
Port last_transition_time from CS3 to CS4
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: rgmanager (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-11 12:30 EDT by Stanko Kupcevic
Modified: 2009-04-16 16:20 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0557
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:23:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stanko Kupcevic 2006-05-11 12:30:26 EDT
Description of problem: 
clustat doesn't display last_transition_time of a service. That info is very
valuable, and was available in CS2.1 and CS3.
Comment 1 Lon Hohberger 2006-05-12 13:01:30 EDT
do we want this in the xml, the normal display, or both?
Comment 2 Stanko Kupcevic 2006-05-12 13:28:18 EDT
Preferably both, but XML for sure (our UIs parse xml). 
Comment 3 Lon Hohberger 2006-05-12 17:01:32 EDT
[root@red rgmanager]# clustat -xs test74
<?xml version="1.0"?>
<clustat version="4.1.1">
  <groups>
    <group name="test74" state="112" state_str="started"  owner="cyan"
last_owner="blue" restarts="0" last_transition="1147448776"
last_transition_str="Fri May 12 11:46:16 2006"/>
  </groups>
</clustat>
[root@red rgmanager]# clustat -ls test74
Service Information
------- -----------

Service Name      : test74
  Current State   : started (112)
  Owner           : cyan
  Last Owner      : blue
  Last Transition : Fri May 12 11:46:16 2006

[root@red rgmanager]# clustat -s test74
  Service Name         Owner (Last)                   State
  ------- ----         ----- ------                   -----
  test74               cyan                           started

Comment 4 Lon Hohberger 2006-05-16 12:09:50 EDT
Fixes in CVS
Comment 7 Red Hat Bugzilla 2006-08-10 17:24:01 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0557.html

Note You need to log in before you can comment on or make changes to this bug.